// pages/draw-rule/draw-rule.js
var http = require("../../utils/http.js")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    "frequency": 0,  //提现频率(天)
    "number": 0,   //提现次数(N天N次)
    "amountMax": 0,  //单笔提现最高
    "amountMin": 0,  //单笔提现最低     
    "paymentExplain": ''   //打款说明
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    this.loadWithdrawCashRule()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  },
  /**
   * 加载提现规则
   */
  loadWithdrawCashRule: function() {
    var ths = this;
    wx.showLoading();
    var params = {
      url: "/p/distribution/withdrawCash/info",
      method: "GET",
      // data: {
      //   shopId: 1
      // },
      callBack: function(res) {
        wx.hideLoading();
        ths.setData({
          frequency: res.frequency,
          amountMax: res.amountMax,
          amountMin: res.amountMin,
          number: res.number,
          paymentExplain: res.paymentExplain
        });
      }
    };
    http.request(params);
  }
})